#!/bin/sh
set -eu

DATE="$1"
VERSION="v$2"

if git show "$VERSION" 1>/dev/null 2>/dev/null; then
  echo "Version '$VERSION' already exists."
  exit 1
fi

if [ "$DATE" != "$(git log -1 --format=%cd --date=short HEAD)" ]; then
  echo "Date '$DATE' is not up-to-date."
  exit 1
fi

git tag "$VERSION"
